# $Revision: 1.8 $, $Date: 2009/06/23 11:26:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Geo
%define		pnam	CountryFlags
Summary:	Geo::CountryFlags - methods to fetch flag GIFs
Summary(pl.UTF-8):	Geo::CountryFlags - metody do uzyskiwania GIFów z flagami
Name:		perl-Geo-CountryFlags
Version:	1.01
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5e8e321b0e3ebdff99d2ade8fd53f4b2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::SafeDO) >= 0.11
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geo::CountryFlags provides methods to display/retrieve flag GIFs from
the web site of the Central Intelligence Agency. Permanently caches a
local copy of the flag if it is not already present.

The flags for all country codes as of module publication are included
in the %{_datadir}/%{pdir}-%{pnam} directory. However, if LWP::Simple
(perl-libwww package) is installed, Geo::CountryFlags will fetch them
as needed and store them in ./flags [default] or the directory of you
choice.

%description -l pl.UTF-8
Moduł Geo::CountryFlags udostępnia metody do wyświetlania/uzyskiwania
GIFów z flagami ze strony WWW Central Intelligence Agency. Po
ściągnięciu flagi zachowuje ją lokalnie.

Flagi wszystkich krajów z czasu wydania modułu zostały załączone w
katalogu %{_datadir}/%{pdir}-%{pnam}. Jeśli zainstalowany jest moduł
LWP::Simple (pakiet perl-libwww), Geo::CountryFlags może ściągać flagi
i zapisywać je w ./flags (domyślnie) lub wybranym katalogu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{pdir}-%{pnam}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install flags/*.gif $RPM_BUILD_ROOT%{_datadir}/%{pdir}-%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Geo
%dir %{perl_vendorlib}/Geo/CountryFlags
%{perl_vendorlib}/Geo/CountryFlags.pm
%{perl_vendorlib}/Geo/CountryFlags/*.pm
%{_datadir}/%{pdir}-%{pnam}
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geo-CountryFlags.spec,v $
Revision 1.8  2009/06/23 11:26:56  amateja
- updated to 1.01

Revision 1.7  2008/07/27 22:35:40  arekm
- release 2

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:23  paladine
- formatting

Revision 1.3  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.2  2003/11/16 12:54:25  migo
- up to 0.02, new bcond style

Revision 1.1  2003/06/18 21:54:27  qboosh
- new

